/**
 * Created by Mai on 2017/7/5.
 */

let mongoose = require("mongoose");
let Schema = mongoose.Schema;
let deleteSchema = require('../../../public/models/delete_schema');

let collectionName = 'projects';
let ProjectSchema = new Schema({
    "ID": Number,
    "ParentID": Number,
    "NextSiblingID": Number,
    "userID": Number,
    "name": String,
    "projType": String,
    "recentDateTime": Date,
    "createDateTime": Date,
    "deleteInfo": deleteSchema,
    'fullFolder': Array,
    "property": {
        type: Schema.Types.Mixed,
        default: {}
    }
});

module.exports = mongoose.model(collectionName, ProjectSchema);



